<template>
    <div>
        <v-row>
            <v-col cols="12" style="margin-top: -8%; margin-bottom: 2%;">
                <h4 class="title-kpi">Total de ventas</h4>
            </v-col>
        </v-row>
        <v-row>
            <v-col cols="6" sm="6">
                <div class="d-flex">
                    <v-card flat tile style="background-color: #e5ebf7;" width="280px" height="365">
                        <div style="background-color: #feca38; height: 60px; border-top: 15px solid transparent; ">
                            <p class="mr-20 title-kpi">Confirmadas</p>
                        </div>
                        <v-content>
                            <p class="title-kpi" style="font-size: 80px;">{{ completedSales }}</p>
                        </v-content>
                    </v-card>
                </div>
            </v-col>
            <v-col cols="6" sm="6">
                <div class="d-flex">
                    <v-card flat tile style="background-color: #e5ebf7; " width="280px" height="365">
                        <div
                            class="mr-20 title-kpi"
                            style="background-color: #feca38; height: 60px; border-top: 15px solid transparent; "
                        >
                            Canceladas
                        </div>
                        <v-content>
                            <p class="title-kpi" style="font-size: 80px;">{{ cancelSales }}</p>
                        </v-content>
                    </v-card>
                </div>
            </v-col>
        </v-row>
    </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';

@Component
export default class SalesMarker extends Vue {
    @Prop({ default: 0 })
    readonly completedSales!: number;
    @Prop({ default: 0 })
    readonly cancelSales!: number;
}
</script>

<style lang="scss">
.title-kpi {
    font-weight: 800;
    color: #000;
    white-space: nowrap;
}
</style>
